package com.ruoyi.cai.enums;

import lombok.Getter;

/**
 * 系统动态配置枚举
 * <p>created on 2022/8/18 17:15</p>
 *
 * @author ZL
 */
public enum SystemConfigEnum {
    GUARD_PRICE("1314", "守护价格"),
    DAY_MAX_DYNAMIC("10", "每日运行发布的最大动态数"),
    DEFAULT_VIDEO_INCOME_RATE("0.07", "默认分销好友视频提成"),
    DEFAULT_GIFT_INCOME_RATE("0.07", "默认分销好友礼物提成"),
    DEFAULT_GUARD_INCOME_RATE("0.07", "默认分销好友守护提成"),
    DEFAULT_PAY_INCOME_RATE("0.07", "默认分销好友充值提成"),
    DEFAULT_UNION_GIFT_INCOME_RATE("0.01", "默认工会礼物提成"),
    DEFAULT_UNION_VIDEO_INCOME_RATE("0.01", "默认工会视频提成"),
    DEFAULT_UNION_ONE_INCOME_RATE("0.07", "默认工会一级提成"),
    TODAY_GREET_MAX("100", "每日主播群打招呼次数"),
    GREET_INTERVAL_MIN("30", "群打招呼的间隔时间（分钟）"),

    ;


    @Getter
    private final String defaultValue;

    @Getter
    private final String desc;

    SystemConfigEnum(String defaultValue, String desc) {
        this.defaultValue = defaultValue;
        this.desc = desc;
    }

    public String getKey() {
        return this.name();
    }
}
